Runtime

## org.eclipse.gmf.runtime.common.ui.preferences
Class CheckBoxFieldEditor

    java.lang.Object
      org.eclipse.jface.preference.FieldEditor
          org.eclipse.jface.preference.BooleanFieldEditor
              org.eclipse.gmf.runtime.common.ui.preferences.CheckBoxFieldEditor

public class CheckBoxFieldEditor
extends BooleanFieldEditor

Sublcasses BooleanFieldEditor to expose the checkbox control. The checkbox control must be used to set the context sensitive help.

Field Summary

Fields inherited from class org.eclipse.jface.preference.BooleanFieldEditor
`DEFAULT, SEPARATE_LABEL`

Fields inherited from class org.eclipse.jface.preference.FieldEditor
`HORIZONTAL_GAP, IS_VALID, VALUE`

Constructor Summary
`CheckBoxFieldEditor(java.lang.String name, java.lang.String label, Composite aParent)` Creates a boolean field editor in the default style.

Method Summary
`Button` `getCheckbox()` Returns the checkbox control.
`Composite` `getParent()` Get the parent composite.

Methods inherited from class org.eclipse.jface.preference.BooleanFieldEditor
`adjustForNumColumns, doFillIntoGrid, doLoad, doLoadDefault, doStore, getBooleanValue, getChangeControl, getNumberOfControls, setEnabled, setFocus, setLabelText, valueChanged`

Methods inherited from class org.eclipse.jface.preference.FieldEditor

`applyFont, checkParent, clearErrorMessage, clearMessage, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, createControl, dispose, fillIntoGrid, fireStateChanged, fireValueChanged, getFieldEditorFontName, getLabelControl, getLabelControl, getLabelText, getPage, getPreferenceName, getPreferencePage, getPreferenceStore, init, isValid, load, loadDefault, presentsDefaultValue, refreshValidState, setButtonLayoutData, setPage, setPreferenceName, setPreferencePage, setPreferenceStore, setPresentsDefaultValue, setPropertyChangeListener, showErrorMessage, showMessage, store`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckBoxFieldEditor

    public CheckBoxFieldEditor(java.lang.String name,
                               java.lang.String label,
                               Composite aParent)

  Creates a boolean field editor in the default style.

Parameters:
  `name` - the name of the preference this field editor works on
  `label` - the label text string of the field editor
  `aParent` - the parent of the field editor's control

Method Detail

### getCheckbox

    public Button getCheckbox()

  Returns the checkbox control.

  Returns:
    Button, the checkbox control

### getParent

    public Composite getParent()

  Get the parent composite.

  Returns:
    the parent composite.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.